import { Interaction, GuildMember, SlashCommandBuilder } from 'discord.js';
import { changeCounterInteraction } from '../lib/counter';
import { knownServers } from '../lib/knownServers';

module.exports = {
  data: new SlashCommandBuilder()
    .setName('decrease')
    .setDescription('Decrease the counter')
    .addIntegerOption((option) =>
      option
        .setName('amount')
        .setRequired(false)
        .setDescription('Amount to decrease the counter by')
        .setMinValue(1)
    ),

  serverWhitelist: [...knownServers.firepit],

  execute: async (interaction: Interaction, member: GuildMember) => {
    if (!interaction.isChatInputCommand()) return;

    await interaction.deferReply({ephemeral: true});
    const amount = Math.trunc(interaction.options.getInteger('amount') || 1);
    changeCounterInteraction(interaction, member, -amount, false);
  }
};